%define major_version 2.1
%define minor_version 1.0
%define release 6%{?dist}

Name: redhat-storage-server
Summary: Red Hat Storage Server
Version: %{major_version}.%{minor_version}
Release: %{release}
License: GPLv3+
Group: Applications/System
URL: http://www.redhat.com
Vendor: Red Hat, Inc.
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz
Source1: gtop-1.0.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig
Requires(postun): /sbin/service
Obsoletes: appliance-base
Requires: ctdb
Requires: samba-client < 4
Requires: samba < 4
Requires: iperf, ldb-tools, ntp, rsync, tdb-tools, tuned, qemu-kvm-tools, dstat, screen, nmap, valgrind
Requires: iscsi-initiator-utils
Requires: xfsprogs, xfsdump
Requires: abrt
Requires: glusterfs >= 3.4.0, glusterfs-fuse, glusterfs-server, glusterfs-geo-replication
Requires: gluster-swift, gluster-swift-plugin
Requires: samba-glusterfs
Requires: vdsm-gluster, vdsm-reg
Requires: redhat-storage-logos
## start: resolving bz#994889
# below list is prepared by comparing ISO and Satellite RHS installation
# TODO: below list needs to be reviewed
# -- below addition are missing in Satellite installation
Requires: abrt-desktop
Requires: abrt-gui
Requires: autofs
Requires: c-ares
Requires: certmonger
Requires: cloog-ppl
Requires: cpp
Requires: createrepo
Requires: cyrus-sasl-gssapi
Requires: deltarpm
Requires: ecryptfs-utils
Requires: emacs-common
Requires: emacs-nox
Requires: fuse
Requires: gamin-python
Requires: gcc
Requires: GConf2
Requires: gdb
Requires: giflib
Requires: glibc-devel
Requires: glibc-headers
Requires: gnome-keyring
Requires: gstreamer
Requires: gstreamer-tools
Requires: hesiod
Requires: hmaccalc
Requires: ipa-client
Requires: ipa-python
Requires: jpackage-utils
Requires: kernel-devel
Requires: kernel-headers
Requires: krb5-workstation
Requires: libart_lgpl
Requires: libcanberra
Requires: libcanberra-gtk2
Requires: libcollection
Requires: libdhash
Requires: libgcj
Requires: libglade2
Requires: libhugetlbfs
Requires: libIDL
Requires: libini_config
Requires: libipa_hbac
Requires: libipa_hbac-python
Requires: libnotify
Requires: libpath_utils
Requires: libref_array
Requires: libreport-gtk
Requires: libsss_autofs
Requires: libsss_idmap
Requires: libsysfs
Requires: libtool-ltdl
Requires: libwnck
Requires: libXdmcp
Requires: libXres
Requires: libXxf86vm
Requires: mcstrans
Requires: mesa-dri1-drivers
Requires: mesa-dri-drivers
Requires: mesa-dri-filesystem
Requires: mesa-libGL
Requires: mesa-libGLU
Requires: mpfr
Requires: notification-daemon
Requires: oddjob
Requires: oddjob-mkhomedir
Requires: ORBit2
Requires: pam_krb5
Requires: ppl
Requires: procmail
Requires: pytalloc
Requires: python-argparse
Requires: python-backports-ssl_match_hostname
Requires: python-chardet
Requires: python-deltarpm
Requires: python-iso8601
Requires: python-kerberos
Requires: python-keyring
Requires: python-keystoneclient
Requires: python-krbV
Requires: python-ldap
Requires: python-lxml
Requires: python-netaddr
Requires: python-nss
Requires: python-ordereddict
Requires: python-oslo-config
Requires: python-prettytable
Requires: python-requests
Requires: python-six
Requires: python-swiftclient
Requires: python-urllib3
Requires: python-webob1.2
Requires: samba4-libs
Requires: SDL
Requires: sendmail
Requires: setools-console
Requires: sgml-common
Requires: sound-theme-freedesktop
Requires: sssd
Requires: sssd-client
Requires: startup-notification
Requires: sysfsutils
Requires: systemtap
Requires: systemtap-client
Requires: systemtap-devel
Requires: tcl
Requires: tk
Requires: trousers
Requires: tuned-utils
Requires: udftools
Requires: xcb-util
Requires: xml-common
Requires: yum-plugin-aliases
Requires: yum-plugin-changelog
Requires: yum-plugin-downloadonly
Requires: yum-plugin-tmprepo
Requires: yum-plugin-verify
Requires: yum-plugin-versionlock
# -- below addition are missing in ISO installation whereas available
# -- in Satellite installation
Requires: acpid
Requires: aic94xx-firmware
Requires: alsa-utils
Requires: at
Requires: atmel-firmware
Requires: b43-fwcutter
Requires: b43-openfwwf
Requires: bc
Requires: bfa-firmware
Requires: biosdevname
Requires: blktrace
Requires: busybox
Requires: cyrus-sasl-plain
Requires: eject
Requires: fprintd
Requires: fprintd-pam
Requires: gpm-libs
Requires: hunspell
Requires: hunspell-en
Requires: ipw2100-firmware
Requires: ipw2200-firmware
Requires: ivtv-firmware
Requires: iwl1000-firmware
Requires: iwl100-firmware
Requires: iwl3945-firmware
Requires: iwl4965-firmware
Requires: iwl5000-firmware
Requires: iwl5150-firmware
Requires: iwl6000-firmware
Requires: iwl6000g2a-firmware
Requires: iwl6050-firmware
Requires: kexec-tools
Requires: ledmon
Requires: libertas-usb8388-firmware
Requires: libfprint
Requires: lsof
Requires: man-pages-overrides
Requires: microcode_ctl
Requires: mlocate
Requires: mtr
Requires: mysql-libs
Requires: nano
Requires: ntsysv
Requires: pam_passwdqc
Requires: pcmciautils
Requires: pinfo
Requires: postfix
Requires: psacct
Requires: ql2100-firmware
Requires: ql2200-firmware
Requires: ql23xx-firmware
Requires: ql2400-firmware
Requires: ql2500-firmware
Requires: quota
Requires: rdate
Requires: readahead
Requires: redhat-indexhtml
Requires: rfkill
Requires: rng-tools
Requires: rt61pci-firmware
Requires: rt73usb-firmware
Requires: scl-utils
Requires: setuptool
Requires: smartmontools
Requires: tcsh
Requires: time
Requires: tmpwatch
Requires: traceroute
Requires: usbutils
Requires: vconfig
Requires: vim-common
Requires: vim-enhanced
Requires: words
Requires: xorg-x11-drv-ati-firmware
Requires: zd1211-firmware
## end:  resolving bz#994889

%description
Tools for Red Hat Storage Server

%prep
%setup -q
%setup -a 1

%build
./configure --program-prefix=  --prefix=/ --datadir=/usr/share/redhat-storage-server --localstatedir=/var --mandir=/usr/share/man --infodir=/usr/share/info
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
cp -r gtop-1.0 %{buildroot}/usr/lib/glusterfs/.unsupported
mkdir -p %{buildroot}/etc/modprobe.d
echo 'options megaraid_sas max_sectors=2048' > %{buildroot}/etc/modprobe.d/megaraid_sas.conf

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
/etc/init.d/gluster-system-settings
/etc/profile.d/gluster-env.sh
/etc/tune-profiles/rhs-high-throughput/ktune.sh
/etc/tune-profiles/rhs-high-throughput/ktune.sysconfig
/etc/tune-profiles/rhs-high-throughput/sysctl.ktune
/etc/tune-profiles/rhs-high-throughput/tuned.conf
/etc/tune-profiles/rhs-virtualization/ktune.sh
/etc/tune-profiles/rhs-virtualization/ktune.sysconfig
/etc/tune-profiles/rhs-virtualization/sysctl.ktune
/etc/tune-profiles/rhs-virtualization/tuned.conf
/etc/modprobe.d/megaraid_sas.conf
/etc/modprobe.d/ipv6.conf
/etc/redhat-storage-release
/usr/lib/glusterfs/.unsupported/

%post
chkconfig gluster-system-settings on
chkconfig iscsi off
chkconfig iscsid off
chkconfig tuned on
chkconfig ntpd on
chkconfig ip6tables off

sed -i -e 's/\(^SELINUX=\).*$/\1disabled/' /etc/selinux/config
sed -i -e 's/Red Hat Storage.* release .*/Red Hat Storage Server release %{major_version}/' /etc/issue /etc/issue.net
# bz 829657
sed -i -e 's/^#DumpLocation/DumpLocation/g' /etc/abrt/abrt.conf

%changelog
* Wed Nov 20 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-6
- resolves bz#1032128: SELinux in enforcing mode in RHSS system
                       installed from RHSS 2.1 U1 RC ISO. It looks
                       like selinux is set to enforcing by
                       /usr/sbin/lokkit from
                       system-config-firewall-base eventhough its was
                       set to disabled by redhat-storage-server.

* Thu Nov 14 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-5
- resolves bz#1029300: Red Hat Storage Server installation from RH
                       Satellite Server fails, due to missing
                       dependency packages, and package conflict
                       issues

* Wed Nov 13 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-4
- resolves bz#994889: Discrepancy in packages installed of ISO based
                      and Satellite based RHS installation

* Tue Nov 12 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-3
- resolves bz#1029300: remove gpg-pubkey and gpg-pubkey-fd431d51
                       dependencies

* Mon Nov 11 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-2
- resolves bz#994889: Discrepancy in packages installed of ISO based
                      and Satellite based RHS installation

* Thu Oct 24 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-1
- update release version to update 1

* Fri Aug 28 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.0.3-1
- updated unsupported rhs-system-init.sh for RHS 2.1

* Fri Aug 28 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.0.2-1
- populate bricklist with path set in brick file for tuned profiles
- resolves bz#1001040

* Fri Aug 23 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.0.1-1
- resolves bz#829657
- resolves bz#986516
- added unsupported gtop and rhs-system-init.sh
- resolves bz#996352

* Tue Aug 13 2013 Anthony Towns <atowns@redhat.com> - 2.1.0-3
- require tuned, Resolves: bz#989975, bz#920463
- require ntp and start ntpd on boot, Resolves: bz#920450
- require miscellaneous other packages to bring deps closer into line
  with comps groups, Resolves: bz#994889
- version dependency on glusterfs

* Wed Jul 24 2013 Anthony Towns <atowns@redhat.com> - 2.1.0-1
- bump version to match Red Hat Storage version
- add /etc/redhat-storage-release file
- ensure /etc/issue is accurate on upgrades
- disable ipv6, selinux
- set configuration for iscsi, tuned, ip6tables

* Mon Jul 15 2013 Anthony Towns <atowns@redhat.com> - 1.7.3-2
- renamed from appliance/appliance-base to redhat-storage-server
- require glusterfs and other expected RHS packages

* Wed Jun 19 2013 Balamurugan Arumugam <barumuga@redhat.com> - 1.7.3-1
- fixes https://bugzilla.redhat.com/show_bug.cgi?id=910566

* Mon May 20 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.2-1
- Change the version from 1.7.1 to 1.7.2

* Wed May 15 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.1-3
- Updated to 1.7.1-3

* Wed May 15 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.1-2
- fix bug in both rhs-high-throughput and rhs-virtualization
- fix bug in both profiles
- handles case where XFS file system is in a raw SCSI device partition

* Wed Mar 20 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.1-1
- changed the version from 1.7 to 1.7.1

* Tue Mar 19 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7-8
- tuned: get readahead right devices those are bricks

* Mon Feb 18 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7-7
- tuned: add rhs-virtualization profile
- fix tuning parameters
- remove unused .in files

* Thu Jun 21 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-6
- multipath support bug fix in high-throughput profile

* Tue Jun 19 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-5
- Added multipath support in high-throughput profile

* Thu Jun 14 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-4
- Remove aliasing for mkfs.xfs

* Tue May 29 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-3
- Include megaraid module configuration (rhbz#806405)

* Wed May 23 2012 Anthony Towns <atowns@redhat.com> - 1.7-2
- Include megaraid module configuration (rhbz#806405)

* Tue Apr 24 2012 Anthony Towns <atowns@redhat.com> - 1.7-1
- Update for Red Hat Storage 2.0
- Include tuned profile

* Tue Nov 15 2011 Dennis Gregorovic <dgregor@redhat.com> - 1.6-2
- Rebuild for Red Hat Storage Software Appliance 3.2

* Tue Jan 11 2011  <harsha@gluster.com> - ami-tools
- Initial build.

